> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/publishers/zh/vast/vast-wrapper.md).

# VAST Wrapper 标签

## XML 示例

```xml
<?xml version="1.0" encoding="UTF-8"?>
<VAST version="3.0">
    <Ad id="1111111">
        <Wrapper>
            <AdSystem>EXADS</AdSystem>
            <VASTAdTagURI><![CDATA[https://external.adserver.com/xml?cid=1111111]]></VASTAdTagURI>
            <Impression id="exotr">
                <![CDATA[https://syndication.realsrv.com/vregister.php?a=vimp&tracking_event=impression&idzone=22222&data=abcd]]></Impression>
            <Error>
                <![CDATA[https://syndication.realsrv.com/vregister.php?a=vview&errorcode=[ERRORCODE]&idzone=22222]]></Error>
            <Creatives>
                <Creative sequence="1" id="12345">
                    <Linear>
                        <TrackingEvents>
                            <Tracking id="prog_1" event="progress" offset="00:00:10.000">
                                <![CDATA[https://syndication.realsrv.com/vregister.php?a=vview&tracking_event=progress&progress=00:00:10.000&idzone=22222&data=abcd]]></Tracking>
                        </TrackingEvents>
                        <VideoClicks>
                            <ClickThrough>
                                <![CDATA[https://syndication.realsrv.com/click.php?data=abcd]]></ClickThrough>
                        </VideoClicks>
                    </Linear>
                </Creative>
            </Creatives>
        </Wrapper>
    </Ad>
</VAST>
```

## 属性

| 选项                                       | 说明                                                                                                                                             |
| ---------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| `<?xml version="1.0" encoding="UTF-8"?>` | 带有定义版本和编码的 XML 声明。                                                                                                                             |
| `VAST`                                   | 此元素使用的 VAST 版本                                                                                                                                 |
| `Wrapper fallbackOnNoAd`                 | 表示树中还有另一个 VAST 元素。如果在广告位设置中启用了“视频回退”，则这也会指明该元素在 VAST 队列中的位置                                                                                    |
| `VASTAdTagURI`                           | 该元素用于提供指向次级 VAST 响应的 URI。该次级响应可能是另一个 Wrapper，但最终 VAST wrapper 必须返回一个 `<InLine>` 广告。版本 3 不限制 Wrapper 重定向次数，但从版本 4 开始，最多允许 5 次 Wrapper VAST 重定向。 |
| `VideoClicks`                            | 用于指定当广告显示时，如果用户直接在视频播放器框架内点击，视频播放器应执行的操作。当提供一个 `<VideoClicks>` 元素时，其中包含一个子 `<ClickTracking>` 元素，带有 URI（或 `<ClickThrough>` 在 VAST Tag 的情况下）。    |
| `ClickTracking`                          | 该元素用于跟踪 `点击跳转` 当创意文件处理该 `点击跳转`.                                                                                                                |
| `扩展`                                     | 广告服务器提供的附加设置                                                                                                                                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/publishers/zh/vast/vast-wrapper.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
